#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include <vector>
#include "doctest.h"
#include "project/histogram_internal.h"
#include "project/svg.h"
#include "project/emptiness_width.h"

 TEST_CASE("distinct positive numbers")
{
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}

TEST_CASE("vector with one element") {
    double min = 0;
    double max = 0;
    find_minmax({1}, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}

TEST_CASE("vector with same elements") {
    double min = 0;
    double max = 0;
    find_minmax({2,2,2}, min, max);
    CHECK(min == 2);
    CHECK(max == 2);
}

TEST_CASE("void vector") {
    double min = 0;
    double max = 0;
    std::vector<double> numbers {};
    find_minmax( numbers, min, max);
    CHECK(min == 0);
    CHECK(max == 0);
}


TEST_CASE("test1 var 5")
{
    size_t a = 100;
    size_t b = 200;
    size_t c = emptiness_width (b,a);
    CHECK(c == b-a);
}

TEST_CASE("test2 var 5")
{
    size_t a = 100;
    size_t b = 200;
    size_t c = emptiness_width (a,b);
    CHECK(c != b-a);
}

TEST_CASE("test3 var 5")
{
    size_t a = 100;
    size_t b = a;
    size_t c = emptiness_width (a,b);
    CHECK(c == 0);
}



